package com.ff.game.mapper;

import java.util.List;

import com.ff.game.api.request.GameUniqueDTO;
import com.ff.game.domain.Game;

/**
 * 平台子游戏管理Mapper接口
 * 
 * @author shi
 * @date 2025-02-10
 */
public interface GameMapper 
{
    /**
     * 查询平台子游戏管理
     * 
     * @param id 平台子游戏管理主键
     * @return 平台子游戏管理
     */
     Game selectGameById(Long id);

    /**
     * 查询平台子游戏管理列表
     * 
     * @param game 平台子游戏管理
     * @return 平台子游戏管理集合
     */
     List<Game> selectGameList(Game game);

    /**
     * 新增平台子游戏管理
     * 
     * @param game 平台子游戏管理
     * @return 结果
     */
     int insertGame(Game game);

    /**
     * 修改平台子游戏管理
     * 
     * @param game 平台子游戏管理
     * @return 结果
     */
     int updateGame(Game game);

    /**
     * 删除平台子游戏管理
     * 
     * @param id 平台子游戏管理主键
     * @return 结果
     */
     int deleteGameById(Long id);

    /**
     * 批量删除平台子游戏管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteGameByIds(Long[] ids);


    /**
     * 按平台id选择最大排序号
     *
     * @param platformId 平台id
     * @return {@link Integer }
     */
    Integer selectMaxSortNoByPlatformId(Long platformId);


    /**
     * 选择游戏唯一列表
     *
     * @param gameUniqueDTO 游戏独有dto
     * @return {@link List }<{@link Game }>
     */
    List<Game>  selectGameUniqueList(GameUniqueDTO gameUniqueDTO);

}
